This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 641213 - iframes: Bundle Handler Monitor tab leads to unsanitized jsf, stack trace
iframes: Bundle Handler Monitor tab leads to unsanitized jsf, stack trace
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Rajan Timaniya
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-07 23:08 EDT by Corey Welton
Modified: 2015-02-01 18:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-07 23:08:49 EDT
Description of problem:

Navigating to a Monitoring tab for a "Bundle Handler - Ant" or "Bundle Handler - File Template" resource leads to a jsf iframe w/ old menubars, etc.  Also has stack trace but that's probably not as important.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Inventory a system.  Traverse the resource tree for that system to "Bundle
Handler - Ant"
2.  Go to the Monitoring tab for this view.
3.  View results

Actual results:
* Unsanitized jsf iframe
* Stacktrace

Expected results:
* clean iframe, no errors

Additional Information:

Per discussions with Dev, Monitoring tabs should be available for testing.
Comment 1 Corey Welton 2010-10-07 23:13:11 EDT
Also occurs in 

JBossAS Servers > $host RHQ Server > Resources > Embedded JBossWeb Server

...and perhaps a number of other places as well.  For each instance of this occurring in the Monitoring tab, reference it here.
Comment 2 Corey Welton 2010-10-07 23:17:21 EDT
JBossAS Servers > JBoss Cache subsystem
Comment 3 John Mazzitelli 2011-04-01 10:23:55 EDT
this happened on any resource that did not support any metric data.

this is now fixed - you only have the Availabilty subtab for those resources.

i tried the resoruces documented in this issue and i no longer see errors.
Comment 4 Mike Foley 2011-04-25 13:17:08 EDT
"Bundler Handler -- Ant" is implemented w/smart gwt, as is JBoss inventory items.  Verified in RHQ 4.0 CR1
Comment 6 Heiko W. Rupp 2013-09-03 13:02:27 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.